summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Robby Workman2010-05-11 20:00:11 +0200
committer Michiel van Wessem2010-05-11 20:00:11 +0200
commit41c95eb50c6605f5c102ea990c05be787ef5f4d7 (patch)
tree3c0726d31a0c4ee18de8a57b56f8bde062b8e39d /desktop
parent0a9b4a2e2134c36898eb0d743e83122d88e67894 (diff)
downloadslackbuilds-41c95eb50c6605f5c102ea990c05be787ef5f4d7.tar.gz
desktop/verve-plugin: Added to 12.0 repository
Diffstat (limited to 'desktop')
-rw-r--r--desktop/verve-plugin/README4
-rw-r--r--desktop/verve-plugin/slack-desc19
-rw-r--r--desktop/verve-plugin/verve-plugin.SlackBuild84
-rw-r--r--desktop/verve-plugin/verve-plugin.info8
4 files changed, 115 insertions, 0 deletions
diff --git a/desktop/verve-plugin/README b/desktop/verve-plugin/README
new file mode 100644
index 0000000000..374553a77d
--- /dev/null
+++ b/desktop/verve-plugin/README
@@ -0,0 +1,4 @@
+verve plugin for the Xfce panel
+
+The verve plugin adds a miniature command line, which includes
+autocompletion and command history.
diff --git a/desktop/verve-plugin/slack-desc b/desktop/verve-plugin/slack-desc
new file mode 100644
index 0000000000..8e4ec9ed7a
--- /dev/null
+++ b/desktop/verve-plugin/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+verve-plugin: verve-plugin (verve plugin for the Xfce panel)
+verve-plugin:
+verve-plugin: The verve plugin adds a miniature command line, which includes
+verve-plugin: autocompletion and command history.
+verve-plugin:
+verve-plugin:
+verve-plugin:
+verve-plugin:
+verve-plugin:
+verve-plugin:
+verve-plugin:
diff --git a/desktop/verve-plugin/verve-plugin.SlackBuild b/desktop/verve-plugin/verve-plugin.SlackBuild
new file mode 100644
index 0000000000..c0993a57ad
--- /dev/null
+++ b/desktop/verve-plugin/verve-plugin.SlackBuild
@@ -0,0 +1,84 @@
+#!/bin/sh
+
+# Slackware build script for verve-plugin
+
+# Copyright 2006-2007 Robby Workman (http://rlworkman.net)
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Slightly modified by the Slackbuilds.org project
+
+PRGNAM=verve-plugin
+VERSION=0.3.5
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --enable-shared=yes \
+ --enable-static=no \
+ --enable-debug=no
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README THANKS TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/desktop/verve-plugin/verve-plugin.info b/desktop/verve-plugin/verve-plugin.info
new file mode 100644
index 0000000000..0b463ec5d8
--- /dev/null
+++ b/desktop/verve-plugin/verve-plugin.info
@@ -0,0 +1,8 @@
+PRGNAM="verve-plugin"
+VERSION="0.3.5"
+HOMEPAGE="http://goodies.xfce.org/"
+DOWNLOAD="http://goodies.xfce.org/releases/verve-plugin/verve-plugin-0.3.5.tar.bz2"
+MD5SUM="85701b960da6bb10762b460c23b84c15"
+MAINTAINER="Robby Workman"
+EMAIL="rw@rlworkman.net"
+APPROVED="BP{k}"